Révoquer une clé
curl --request DELETE \
--url https://guichet.apidjonanko.tech/v1/merchants/me/credentials/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://guichet.apidjonanko.tech/v1/merchants/me/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guichet.apidjonanko.tech/v1/merchants/me/credentials/{id}"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://guichet.apidjonanko.tech/v1/merchants/me/credentials/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"credential": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"apiKey": "<string>",
"revokedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_BALANCE",
"message": "Le solde disponible de votre portefeuille est insuffisant.",
"details": {}
},
"requestId": "9f1c2b7e-4a5d-4c8f-b0a1-e2d3c4b5a697",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"code": "INVALID_CREDENTIALS",
"message": "Identifiants API invalides."
},
"requestId": "9f1c2b7e-4a5d-4c8f-b0a1-e2d3c4b5a697",
"timestamp": "2026-10-01T10:12:04.000Z"
}{
"success": false,
"error": {
"code": "INSUFFICIENT_BALANCE",
"message": "Le solde disponible de votre portefeuille est insuffisant.",
"details": {}
},
"requestId": "9f1c2b7e-4a5d-4c8f-b0a1-e2d3c4b5a697",
"timestamp": "2023-11-07T05:31:56Z"
}Compte & clés
Révoquer une clé
La dernière clé active ne peut pas être révoquée : vous perdriez tout accès au compte. Émettez d’abord la remplaçante.
DELETE
/
merchants
/
me
/
credentials
/
{id}
Révoquer une clé
La dernière clé active ne peut pas être révoquée : vous perdriez tout accès au compte, sans moyen d’en émettre une nouvelle. Créez la remplaçante d’abord.
Authorizations
Votre clé publique, préfixée gk_live_ (ou gk_test_).
Votre secret, préfixé gs_live_ (ou gs_test_). Affiché une seule fois, à l'émission de la clé. Il ne doit jamais quitter vos serveurs.
Path Parameters
Response
Clé révoquée.
Show child attributes
Show child attributes
